Subject: Re: Thank you for public-inbox!

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 29 Aug 2018 18:30:50 +0200

On Wed, Aug 29 2018, Andrei Rybak wrote:

> On 2018-08-29 12:02, Eric Wong wrote:
>> Anyways I hope to teach public-inbox to auto-linkify Message-ID-looking
>> strings "<XXXXXXXXXXX@XXXXXXXX>" into URLs for domain-portability,
>> (but it's ambiguous with email addresses).  But yeah, I don't
>> like things being tied to domain names.
>
> This would be very useful for people who use MUAs without
> Message-ID lookup capabilities, even without domain-portability.

FWIW Many MUAs have some hidden way to do this, for example to find the
E-Mail I'm replying to (your E-Mail) on GMail:
https://mail.google.com/mail/u/0/#search/rfc822msgid%3A3eb1c5e8-3e89-0d2e-30b1-339f38c4c703%40gmail.com

I.e. rfc822msgid:<message-id>

Confusingly Google Groups accepts the same syntax, but will barf if you
include the <>'s, but that's from memory, maybe I misrecall or they've
fixed it.